// Test.cpp : Defines the entry point for the console application.
//

#include "stdafx.h"
#include "Dll.h"
#include "Dll_supp.h"

int main(int argc, char* argv[])
{
	// Initialize the library
	DLL_DllMain(GetModuleHandle(NULL), DLL_PROCESS_ATTACH, NULL);

	CDLL MyDll;
	printf("This is a Dll test!\n");
	printf("The original export variable value is %d\n", nDLL);
	nDLL = 34;
	printf("The new export variable value is %d\n", nDLL);

	printf("The export function returns %d\n", fnDLL());
	printf("The export class function returns %d\n", MyDll.MyClassFun()); 

	// Finalize the library
	DLL_DllMain(GetModuleHandle(NULL), DLL_PROCESS_DETACH, NULL);

	return 0;
}

